Subject: Re: bug#44307: 27.1; UTF-8 parts transferred as 8bit in multipart messages fail to decode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jan 2021 14:43:33 +0100

Alexandre Duret-Lutz <[email-masked]> writes:

> I think I understand why the bug cannot be reproduced using nndoc in
> emacs 28.  The following patch, which fixes the unibyteness of the nndoc
> buffer is not part of emacs 27:
>
> commit 9d0385d7c7adc810dfd06321b783593b7afb3d58
> Author: Lars Ingebrigtsen <[email-masked]>
> Date:   Fri Aug 21 15:36:45 2020 +0200

I've now backported this fix to Emacs 27.

> However the issue is not restricted to nndoc.
>
> With both emacs 27 & 28 I'm still having the original issue with mail
> read using nnmaildir.  So maybe nnmaildir deserves a similar fix?
> I'm not quite sure where that would go.  nnmaildir-request-article?

Me neither -- I'm wholly unfamiliar with nnmaildir, unfortunately, and
it seems like it's just using `nnheader-insert-file-contents' here (into
the " *nntpd* buffer), so that's not the correct fix..

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no